%global major 1
%define libname %mklibname hif %major
%define devname %mklibname -d hif
%global girapi 1.0
%define girlib %mklibname hif-gir %girapi

Summary:   Simple package library built on top of hawkey and librepo
Name:      libhif
Group:     System/Libraries
Version:   0.2.3
Release:   %mkrel 1
License:   LGPLv2+
URL:       https://github.com/hughsie/libhif
Source0:   http://people.freedesktop.org/~hughsient/releases/libhif-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.36.0
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: hawkey-devel >= 0.4.6
BuildRequires: rpm-devel >= 4.11.0
BuildRequires: librepo-devel >= 1.7.11
BuildRequires: libsolv-devel

# Bootstrap build requirements
BuildRequires: automake autoconf libtool

%description
This library provides a simple interface to hawkey and librepo and is currently
used by PackageKit and rpm-ostree.

%package -n %{libname}
Summary: Simple package library built on top of hawkey and librepo
Group:   System/Libraries

%description -n %{libname}
This library provides a simple interface to hawkey and librepo and is currently
used by PackageKit and rpm-ostree.

%package -n %{girlib}
Summary: GObject Introspection interface description for libhif
Group:   System/Libraries
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description -n %{girlib}
GObject Introspection interface description for libhif.

%package -n %{devname}
Summary: GLib Libraries and headers for libhif
Group:   Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description -n %{devname}
GLib headers and libraries for libhif.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
        --enable-gtk-doc \
        --enable-dnf-yumdb \
        --disable-static \
        --disable-silent-rules

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libhif*.la

%files -n %{libname}
%license COPYING
%doc README.md AUTHORS NEWS
%{_libdir}/libhif.so.%{major}
%{_libdir}/libhif.so.%{major}.*

%files -n %{girlib}
%{_libdir}/girepository-1.0/Hif-%{girapi}.typelib

%files -n %{devname}
%{_libdir}/libhif.so
%{_libdir}/pkgconfig/libhif.pc
%dir %{_includedir}/libhif
%{_includedir}/libhif/*.h
%{_datadir}/gtk-doc
%{_datadir}/gir-1.0/*.gir



%changelog
* Thu Jun 30 2016 ngompa <ngompa> 0.2.3-1.mga6
+ Revision: 1038207
- Upgrade to 0.2.3

* Mon Jun 13 2016 ngompa <ngompa> 0.2.2-5.mga6
+ Revision: 1021285
- Add patches to correspond to PK patch

* Mon Jun 13 2016 ngompa <ngompa> 0.2.2-4.mga6
+ Revision: 1021280
- Add patch for checking available disk space before downloading packages (rhbz#1336400)

* Sat Apr 30 2016 ngompa <ngompa> 0.2.2-3.mga6
+ Revision: 1008128
- Split gir lib into subpackage

* Fri Apr 29 2016 ngompa <ngompa> 0.2.2-2.mga6
+ Revision: 1007645
- Fix from Fedora to properly set dnf yumdb 'reason' (rhbz#1259865)

  + tv <tv>
    - use the same description everywhere

* Sun Mar 13 2016 tv <tv> 0.2.2-1.mga6
+ Revision: 990124
- new release

* Mon Feb 15 2016 umeabot <umeabot> 0.2.1-7.mga6
+ Revision: 961035
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 shlomif <shlomif> 0.2.1-6.mga6
+ Revision: 891736
- Correct to autoconf2.5.x - patch thanks to Neal Gompa

* Sun Oct 04 2015 shlomif <shlomif> 0.2.1-5.mga6
+ Revision: 886249
- Importing libhif from Neal Gompa

